#if _MSC_VER > 1000
#pragma once
#endif 

#include "PictureUtil.h"

class CBmpUtil : public CView
{
public:
	void				LoadUnitedBitmap(CString);	
	void				Draw(CDC* pDC, int nSeq, int nX, int nY, UINT nMask, CString strText = _T(""));

	int					GetWidth()					{ return m_nWidth; }
	int					GetHeight()					{ return m_nHeight; }
	int					GetSliceWidth()				{ return m_nSliceWidth; }

	void				SetTxtColor(COLORREF cr)	{ m_crText = cr; }
	COLORREF			GetTxtColor()				{ return m_crText; }

	void				SetBmpFont(CFont* pFont)	{ m_pBmpFont = pFont; }
	CFont*				GetBmpFont()				{ return m_pBmpFont; }

protected:
	CPictureUtil		m_picImg;
	int					m_nWidth;	
	int					m_nHeight;
	int					m_nSliceWidth;
	COLORREF			m_crText;
	CFont*				m_pBmpFont;

protected:

	DECLARE_DYNCREATE(CBmpUtil)

public:
	CBmpUtil();          
	virtual ~CBmpUtil();

protected:
	virtual void OnDraw(CDC* pDC);    

protected:

	DECLARE_MESSAGE_MAP()
};

